## supl 1.0.6-maemo1

=== Makefile ===
TOP = .
SUBDIRS = src man

include $(TOP)/config.mk

DEBIAN_DIST = \
  changelog compat control copyright libsupl-dev \
  libsupl.files rules supl.files source/format

DIST = configure Makefile README AUTHORS COPYING INSTALL \
       $(prefix debian/,$(DEBIAN_DIST))

all: 
	$(MAKE) -C src

debian: 
	dpkg-buildpackage -rfakeroot -us -uc -tc

install: all
	$(MAKE) -C src install
	$(MAKE) -C man install

clean:
	$(MAKE) -C src clean
	/bin/rm -f distfiles *~
	/bin/rm -fr debian/supl debian/*~ configure-stamp build-stamp

dist:
	/bin/rm -f distfiles
	$(MAKE) distfiles
	tar zcf supl-$(CONF_VERSION).tar.gz $(cat distfiles)

distfiles:
	echo $(DIST) >> distfiles
	@for subdir in $(SUBDIRS) ; do \
	    $(MAKE) -C $$subdir distfiles ; \
	done

.PHONY: clean dist distfiles debian install

=== man/Makefile ===
TOP = ..
SUBDIRS = 

include $(TOP)/config.mk

DIST = 	Makefile supl-client.1 supl-proxy.1 supl-cert.1

all: 

install: all
	mkdir -p $(DEB_PREFIX)$(CONF_PREFIX)/share/man/man1
	cp -a supl-client.1 supl-proxy.1 supl-cert.1 $(DEB_PREFIX)$(CONF_PREFIX)/share/man/man1

clean:
	/bin/rm -f distfiles *~

distfiles:
	echo $(addprefix man/,$(DIST)) >> $(TOP)/distfiles
	@for subdir in $(SUBDIRS) ; do \
	    $(MAKE) -C $$subdir distfiles ; \
	done

.PHONY: clean dist distfiles debian install

=== src/Makefile ===
TOP = ..
SUBDIRS = asn-rrlp asn-supl

include $(TOP)/config.mk

# export CFLAGS to have more consistent flags in sub-makefiles
# as dpkg-buildpackage does export it.
export CFLAGS

CFLAGS += $(CONF_CFLAGS) $(CONF_SUPL_DEBUG)
CFLAGS += -I./asn-rrlp -I./asn-supl

SUPL_ASN1_SOURCE = supl-common.asn supl-end.asn supl-pos.asn supl-response.asn 
SUPL_ASN1_SOURCE += supl-start.asn supl-ulp.asn supl-init.asn supl-posinit.asn
RRLP_ASN1_SOURCE = rrlp-components.asn rrlp-messages.asn
PROGRAM_SOURCE = supl-client.c supl-proxy.c supl-cert.c
SUPL_C_SOURCE = supl.c

DIST = Makefile $(PROGRAM_SOURCE) $(SUPL_C_SOURCE) $(SUPL_ASN1_SOURCE) $(RRLP_ASN1_SOURCE)

all: supl-client supl-proxy supl-cert

supl-client: libsupl.so supl-client.o
	$(CC) -o $@ supl-client.o -L. -lsupl -lssl -lm

supl-proxy: libsupl.so supl-proxy.o
	$(CC) -o $@ supl-proxy.o -L. -lsupl -lssl -lm

supl-cert: supl-cert.o
	$(CC) -o $@ supl-cert.o $(shell pkg-config --libs openssl) -lm

libsupl.so: libsupl.so.1.0
	ln -sf libsupl.so.1 libsupl.so

libsupl.so.1.0: asn-supl/libasnsupl.a asn-rrlp/libasnrrlp.a supl.o
	$(CC) -shared -Wl,-soname,libsupl.so.1 -o $@ supl.o \
           -Wl,--whole-archive ./asn-supl/libasnsupl.a -Wl,--no-whole-archive \
           ./asn-rrlp/libasnrrlp.a -lssl
	ln -sf libsupl.so.1.0 libsupl.so.1

asn-supl/libasnsupl.a:
	$(MAKE) -C asn-supl

asn-rrlp/libasnrrlp.a:
	$(MAKE) -C asn-rrlp

# code generated by asn1c barfs if -fn-s-a not set
supl.o: CFLAGS += -fno-strict-aliasing -fPIC -fvisibility=hidden -DUSE_EXPORT=1
supl.o: supl.h

install: all
	for d in bin lib include ; do mkdir -p $(DEB_PREFIX)$(CONF_PREFIX)/$$d; done
	cp -a libsupl.so* $(DEB_PREFIX)$(CONF_PREFIX)/lib
	cp -a asn-rrlp/libasnrrlp.so* $(DEB_PREFIX)$(CONF_PREFIX)/lib
	cp -a asn-supl/libasnsupl.so* $(DEB_PREFIX)$(CONF_PREFIX)/lib
	cp -a asn-rrlp/libasnrrlp.a $(DEB_PREFIX)$(CONF_PREFIX)/lib
	cp -a asn-supl/libasnsupl.a $(DEB_PREFIX)$(CONF_PREFIX)/lib
	cp -a supl.h $(DEB_PREFIX)$(CONF_PREFIX)/include
	cp supl-client supl-proxy supl-cert $(DEB_PREFIX)$(CONF_PREFIX)/bin

clean:
	@for subdir in $(SUBDIRS) ; do \
	  $(MAKE) -C $$subdir clean ; \
	done
	/bin/rm -f *.o libsupl.so* *~ supl.h.gch *.pem supl-client supl-cert supl-proxy

distfiles:
	echo $(addprefix src/,$(DIST)) >> $(TOP)/distfiles
	@for subdir in $(SUBDIRS) ; do \
	    $(MAKE) -C $$subdir distfiles ; \
	done

.PHONY: clean distfiles install

=== src/asn-rrlp/Makefile ===
TOP = ../..
SUBDIR =

include $(TOP)/config.mk

ASN1_SOURCE = ../rrlp-components.asn ../rrlp-messages.asn

ASN_MODULE_SOURCE=	\
	VelocityEstimate.c	\
	ExtensionContainer.c	\
	Ext-GeographicalInformation.c	\
	MsrPosition-Req.c	\
	MsrPosition-Rsp.c	\
	AssistanceData.c	\
	ProtocolError.c	\
	PositionInstruct.c	\
	MethodType.c	\
	AccuracyOpt.c	\
	Accuracy.c	\
	PositionMethod.c	\
	MeasureResponseTime.c	\
	UseMultipleSets.c	\
	EnvironmentCharacter.c	\
	ReferenceAssistData.c	\
	BTSPosition.c	\
	BCCHCarrier.c	\
	BSIC.c	\
	TimeSlotScheme.c	\
	ModuloTimeSlot.c	\
	MsrAssistData.c	\
	SeqOfMsrAssistBTS.c	\
	MsrAssistBTS.c	\
	MultiFrameOffset.c	\
	RoughRTD.c	\
	SystemInfoAssistData.c	\
	SeqOfSystemInfoAssistBTS.c	\
	SystemInfoAssistBTS.c	\
	AssistBTSData.c	\
	CalcAssistanceBTS.c	\
	ReferenceWGS84.c	\
	FineRTD.c	\
	RelDistance.c	\
	RelativeAlt.c	\
	MultipleSets.c	\
	ReferenceRelation.c	\
	ReferenceIdentity.c	\
	SeqOfReferenceIdentityType.c	\
	ReferenceIdentityType.c	\
	BSICAndCarrier.c	\
	RequestIndex.c	\
	SystemInfoIndex.c	\
	CellIDAndLAC.c	\
	CellID.c	\
	LAC.c	\
	OTD-MeasureInfo.c	\
	SeqOfOTD-MsrElementRest.c	\
	OTD-MsrElementFirst.c	\
	SeqOfOTD-FirstSetMsrs.c	\
	OTD-MsrElementRest.c	\
	SeqOfOTD-MsrsOfOtherSets.c	\
	TOA-MeasurementsOfRef.c	\
	RefQuality.c	\
	NumOfMeasurements.c	\
	StdResolution.c	\
	OTD-FirstSetMsrs.c	\
	OTD-MsrsOfOtherSets.c	\
	OTD-Measurement.c	\
	OTD-MeasurementWithID.c	\
	EOTDQuality.c	\
	NeighborIdentity.c	\
	MultiFrameCarrier.c	\
	OTDValue.c	\
	LocationInfo.c	\
	FixType.c	\
	GPS-MeasureInfo.c	\
	SeqOfGPS-MsrSetElement.c	\
	GPS-MsrSetElement.c	\
	GPSTOW24b.c	\
	SeqOfGPS-MsrElement.c	\
	GPS-MsrElement.c	\
	MpathIndic.c	\
	LocationError.c	\
	LocErrorReason.c	\
	AdditionalAssistanceData.c	\
	GPSAssistanceData.c	\
	GANSSAssistanceData.c	\
	ErrorCodes.c	\
	GPS-AssistData.c	\
	MoreAssDataToBeSent.c	\
	ControlHeader.c	\
	ReferenceTime.c	\
	GPSTime.c	\
	GPSTOW23b.c	\
	GPSWeek.c	\
	GPSTOWAssist.c	\
	GPSTOWAssistElement.c	\
	TLMWord.c	\
	AntiSpoofFlag.c	\
	AlertFlag.c	\
	TLMReservedBits.c	\
	GSMTime.c	\
	FrameNumber.c	\
	TimeSlot.c	\
	BitNumber.c	\
	RefLocation.c	\
	DGPSCorrections.c	\
	SeqOfSatElement.c	\
	SatElement.c	\
	SatelliteID.c	\
	NavigationModel.c	\
	SeqOfNavModelElement.c	\
	NavModelElement.c	\
	SatStatus.c	\
	UncompressedEphemeris.c	\
	EphemerisSubframe1Reserved.c	\
	IonosphericModel.c	\
	UTCModel.c	\
	Almanac.c	\
	SeqOfAlmanacElement.c	\
	AlmanacElement.c	\
	AcquisAssist.c	\
	SeqOfAcquisElement.c	\
	TimeRelation.c	\
	AcquisElement.c	\
	AddionalDopplerFields.c	\
	AddionalAngleFields.c	\
	SeqOf-BadSatelliteSet.c	\
	Rel98-MsrPosition-Req-Extension.c	\
	Rel98-AssistanceData-Extension.c	\
	Rel98-Ext-ExpOTD.c	\
	MsrAssistData-R98-ExpOTD.c	\
	SeqOfMsrAssistBTS-R98-ExpOTD.c	\
	MsrAssistBTS-R98-ExpOTD.c	\
	SystemInfoAssistData-R98-ExpOTD.c	\
	SeqOfSystemInfoAssistBTS-R98-ExpOTD.c	\
	SystemInfoAssistBTS-R98-ExpOTD.c	\
	AssistBTSData-R98-ExpOTD.c	\
	ExpectedOTD.c	\
	ExpOTDUncertainty.c	\
	GPSReferenceTimeUncertainty.c	\
	GPSTimeAssistanceMeasurements.c	\
	Rel-98-MsrPosition-Rsp-Extension.c	\
	OTD-MeasureInfo-R98-Ext.c	\
	OTD-MsrElementFirst-R98-Ext.c	\
	SeqOfOTD-FirstSetMsrs-R98-Ext.c	\
	Rel-5-MsrPosition-Rsp-Extension.c	\
	Extended-reference.c	\
	OTD-MeasureInfo-5-Ext.c	\
	UlPseudoSegInd.c	\
	Rel5-MsrPosition-Req-Extension.c	\
	Rel5-AssistanceData-Extension.c	\
	Rel-5-ProtocolError-Extension.c	\
	Rel7-MsrPosition-Req-Extension.c	\
	GANSSPositioningMethod.c	\
	GANSS-AssistData.c	\
	GANSS-ControlHeader.c	\
	GANSSCommonAssistData.c	\
	SeqOfGANSSGenericAssistDataElement.c	\
	GANSSGenericAssistDataElement.c	\
	GANSSReferenceTime.c	\
	GANSSRefTimeInfo.c	\
	GANSSTOD.c	\
	GANSSTODUncertainty.c	\
	GANSSTOD-GSMTimeAssociation.c	\
	FrameDrift.c	\
	GANSSRefLocation.c	\
	GANSSIonosphericModel.c	\
	GANSSIonosphereModel.c	\
	GANSSIonoStormFlags.c	\
	SeqOfGANSSTimeModel.c	\
	GANSSTimeModelElement.c	\
	TA0.c	\
	TA1.c	\
	TA2.c	\
	GANSSDiffCorrections.c	\
	SeqOfSgnTypeElement.c	\
	SgnTypeElement.c	\
	GANSSSignalID.c	\
	SeqOfDGANSSSgnElement.c	\
	DGANSSSgnElement.c	\
	SVID.c	\
	GANSSNavModel.c	\
	SeqOfGANSSSatelliteElement.c	\
	GANSSSatelliteElement.c	\
	GANSSOrbitModel.c	\
	NavModel-KeplerianSet.c	\
	GANSSClockModel.c	\
	SeqOfStandardClockModelElement.c	\
	StandardClockModelElement.c	\
	GANSSRealTimeIntegrity.c	\
	SeqOfBadSignalElement.c	\
	BadSignalElement.c	\
	GANSSDataBitAssist.c	\
	SeqOf-GANSSDataBits.c	\
	GANSSDataBit.c	\
	GANSSRefMeasurementAssist.c	\
	SeqOfGANSSRefMeasurementElement.c	\
	GANSSRefMeasurementElement.c	\
	AdditionalDopplerFields.c	\
	GANSSAlmanacModel.c	\
	SVIDMASK.c	\
	SeqOfGANSSAlmanacElement.c	\
	GANSSAlmanacElement.c	\
	Almanac-KeplerianSet.c	\
	GANSSUTCModel.c	\
	RequiredResponseTime.c	\
	Rel-7-MsrPosition-Rsp-Extension.c	\
	GANSSLocationInfo.c	\
	PositionData.c	\
	GANSSTODm.c	\
	ReferenceFrame.c	\
	GANSSMeasureInfo.c	\
	SeqOfGANSS-MsrSetElement.c	\
	GANSS-MsrSetElement.c	\
	SeqOfGANSS-SgnTypeElement.c	\
	GANSS-SgnTypeElement.c	\
	SeqOfGANSS-SgnElement.c	\
	GANSS-SgnElement.c	\
	Rel7-AssistanceData-Extension.c	\
	PDU.c	\
	RRLP-Component.c

ASN_MODULE_HEADER=	\
	VelocityEstimate.h	\
	ExtensionContainer.h	\
	Ext-GeographicalInformation.h	\
	MsrPosition-Req.h	\
	MsrPosition-Rsp.h	\
	AssistanceData.h	\
	ProtocolError.h	\
	PositionInstruct.h	\
	MethodType.h	\
	AccuracyOpt.h	\
	Accuracy.h	\
	PositionMethod.h	\
	MeasureResponseTime.h	\
	UseMultipleSets.h	\
	EnvironmentCharacter.h	\
	ReferenceAssistData.h	\
	BTSPosition.h	\
	BCCHCarrier.h	\
	BSIC.h	\
	TimeSlotScheme.h	\
	ModuloTimeSlot.h	\
	MsrAssistData.h	\
	SeqOfMsrAssistBTS.h	\
	MsrAssistBTS.h	\
	MultiFrameOffset.h	\
	RoughRTD.h	\
	SystemInfoAssistData.h	\
	SeqOfSystemInfoAssistBTS.h	\
	SystemInfoAssistBTS.h	\
	AssistBTSData.h	\
	CalcAssistanceBTS.h	\
	ReferenceWGS84.h	\
	FineRTD.h	\
	RelDistance.h	\
	RelativeAlt.h	\
	MultipleSets.h	\
	ReferenceRelation.h	\
	ReferenceIdentity.h	\
	SeqOfReferenceIdentityType.h	\
	ReferenceIdentityType.h	\
	BSICAndCarrier.h	\
	RequestIndex.h	\
	SystemInfoIndex.h	\
	CellIDAndLAC.h	\
	CellID.h	\
	LAC.h	\
	OTD-MeasureInfo.h	\
	SeqOfOTD-MsrElementRest.h	\
	OTD-MsrElementFirst.h	\
	SeqOfOTD-FirstSetMsrs.h	\
	OTD-MsrElementRest.h	\
	SeqOfOTD-MsrsOfOtherSets.h	\
	TOA-MeasurementsOfRef.h	\
	RefQuality.h	\
	NumOfMeasurements.h	\
	StdResolution.h	\
	OTD-FirstSetMsrs.h	\
	OTD-MsrsOfOtherSets.h	\
	OTD-Measurement.h	\
	OTD-MeasurementWithID.h	\
	EOTDQuality.h	\
	NeighborIdentity.h	\
	MultiFrameCarrier.h	\
	OTDValue.h	\
	LocationInfo.h	\
	FixType.h	\
	GPS-MeasureInfo.h	\
	SeqOfGPS-MsrSetElement.h	\
	GPS-MsrSetElement.h	\
	GPSTOW24b.h	\
	SeqOfGPS-MsrElement.h	\
	GPS-MsrElement.h	\
	MpathIndic.h	\
	LocationError.h	\
	LocErrorReason.h	\
	AdditionalAssistanceData.h	\
	GPSAssistanceData.h	\
	GANSSAssistanceData.h	\
	ErrorCodes.h	\
	GPS-AssistData.h	\
	MoreAssDataToBeSent.h	\
	ControlHeader.h	\
	ReferenceTime.h	\
	GPSTime.h	\
	GPSTOW23b.h	\
	GPSWeek.h	\
	GPSTOWAssist.h	\
	GPSTOWAssistElement.h	\
	TLMWord.h	\
	AntiSpoofFlag.h	\
	AlertFlag.h	\
	TLMReservedBits.h	\
	GSMTime.h	\
	FrameNumber.h	\
	TimeSlot.h	\
	BitNumber.h	\
	RefLocation.h	\
	DGPSCorrections.h	\
	SeqOfSatElement.h	\
	SatElement.h	\
	SatelliteID.h	\
	NavigationModel.h	\
	SeqOfNavModelElement.h	\
	NavModelElement.h	\
	SatStatus.h	\
	UncompressedEphemeris.h	\
	EphemerisSubframe1Reserved.h	\
	IonosphericModel.h	\
	UTCModel.h	\
	Almanac.h	\
	SeqOfAlmanacElement.h	\
	AlmanacElement.h	\
	AcquisAssist.h	\
	SeqOfAcquisElement.h	\
	TimeRelation.h	\
	AcquisElement.h	\
	AddionalDopplerFields.h	\
	AddionalAngleFields.h	\
	SeqOf-BadSatelliteSet.h	\
	Rel98-MsrPosition-Req-Extension.h	\
	Rel98-AssistanceData-Extension.h	\
	Rel98-Ext-ExpOTD.h	\
	MsrAssistData-R98-ExpOTD.h	\
	SeqOfMsrAssistBTS-R98-ExpOTD.h	\
	MsrAssistBTS-R98-ExpOTD.h	\
	SystemInfoAssistData-R98-ExpOTD.h	\
	SeqOfSystemInfoAssistBTS-R98-ExpOTD.h	\
	SystemInfoAssistBTS-R98-ExpOTD.h	\
	AssistBTSData-R98-ExpOTD.h	\
	ExpectedOTD.h	\
	ExpOTDUncertainty.h	\
	GPSReferenceTimeUncertainty.h	\
	GPSTimeAssistanceMeasurements.h	\
	Rel-98-MsrPosition-Rsp-Extension.h	\
	OTD-MeasureInfo-R98-Ext.h	\
	OTD-MsrElementFirst-R98-Ext.h	\
	SeqOfOTD-FirstSetMsrs-R98-Ext.h	\
	Rel-5-MsrPosition-Rsp-Extension.h	\
	Extended-reference.h	\
	OTD-MeasureInfo-5-Ext.h	\
	UlPseudoSegInd.h	\
	Rel5-MsrPosition-Req-Extension.h	\
	Rel5-AssistanceData-Extension.h	\
	Rel-5-ProtocolError-Extension.h	\
	Rel7-MsrPosition-Req-Extension.h	\
	GANSSPositioningMethod.h	\
	GANSS-AssistData.h	\
	GANSS-ControlHeader.h	\
	GANSSCommonAssistData.h	\
	SeqOfGANSSGenericAssistDataElement.h	\
	GANSSGenericAssistDataElement.h	\
	GANSSReferenceTime.h	\
	GANSSRefTimeInfo.h	\
	GANSSTOD.h	\
	GANSSTODUncertainty.h	\
	GANSSTOD-GSMTimeAssociation.h	\
	FrameDrift.h	\
	GANSSRefLocation.h	\
	GANSSIonosphericModel.h	\
	GANSSIonosphereModel.h	\
	GANSSIonoStormFlags.h	\
	SeqOfGANSSTimeModel.h	\
	GANSSTimeModelElement.h	\
	TA0.h	\
	TA1.h	\
	TA2.h	\
	GANSSDiffCorrections.h	\
	SeqOfSgnTypeElement.h	\
	SgnTypeElement.h	\
	GANSSSignalID.h	\
	SeqOfDGANSSSgnElement.h	\
	DGANSSSgnElement.h	\
	SVID.h	\
	GANSSNavModel.h	\
	SeqOfGANSSSatelliteElement.h	\
	GANSSSatelliteElement.h	\
	GANSSOrbitModel.h	\
	NavModel-KeplerianSet.h	\
	GANSSClockModel.h	\
	SeqOfStandardClockModelElement.h	\
	StandardClockModelElement.h	\
	GANSSRealTimeIntegrity.h	\
	SeqOfBadSignalElement.h	\
	BadSignalElement.h	\
	GANSSDataBitAssist.h	\
	SeqOf-GANSSDataBits.h	\
	GANSSDataBit.h	\
	GANSSRefMeasurementAssist.h	\
	SeqOfGANSSRefMeasurementElement.h	\
	GANSSRefMeasurementElement.h	\
	AdditionalDopplerFields.h	\
	GANSSAlmanacModel.h	\
	SVIDMASK.h	\
	SeqOfGANSSAlmanacElement.h	\
	GANSSAlmanacElement.h	\
	Almanac-KeplerianSet.h	\
	GANSSUTCModel.h	\
	RequiredResponseTime.h	\
	Rel-7-MsrPosition-Rsp-Extension.h	\
	GANSSLocationInfo.h	\
	PositionData.h	\
	GANSSTODm.h	\
	ReferenceFrame.h	\
	GANSSMeasureInfo.h	\
	SeqOfGANSS-MsrSetElement.h	\
	GANSS-MsrSetElement.h	\
	SeqOfGANSS-SgnTypeElement.h	\
	GANSS-SgnTypeElement.h	\
	SeqOfGANSS-SgnElement.h	\
	GANSS-SgnElement.h	\
	Rel7-AssistanceData-Extension.h	\
	PDU.h	\
	RRLP-Component.h

ASN_MODULE_HEADER+=BOOLEAN.h
ASN_MODULE_SOURCE+=BOOLEAN.c
ASN_MODULE_HEADER+=ENUMERATED.h
ASN_MODULE_SOURCE+=ENUMERATED.c
ASN_MODULE_HEADER+=INTEGER.h
ASN_MODULE_HEADER+=NativeEnumerated.h
ASN_MODULE_SOURCE+=INTEGER.c
ASN_MODULE_HEADER+=NULL.h
ASN_MODULE_SOURCE+=NULL.c
ASN_MODULE_SOURCE+=NativeEnumerated.c
ASN_MODULE_HEADER+=NativeInteger.h
ASN_MODULE_SOURCE+=NativeInteger.c
ASN_MODULE_HEADER+=asn_SEQUENCE_OF.h
ASN_MODULE_SOURCE+=asn_SEQUENCE_OF.c
ASN_MODULE_HEADER+=asn_SET_OF.h
ASN_MODULE_SOURCE+=asn_SET_OF.c
ASN_MODULE_HEADER+=constr_CHOICE.h
ASN_MODULE_SOURCE+=constr_CHOICE.c
ASN_MODULE_HEADER+=constr_SEQUENCE.h
ASN_MODULE_SOURCE+=constr_SEQUENCE.c
ASN_MODULE_HEADER+=constr_SEQUENCE_OF.h
ASN_MODULE_SOURCE+=constr_SEQUENCE_OF.c
ASN_MODULE_HEADER+=constr_SET_OF.h
ASN_MODULE_SOURCE+=constr_SET_OF.c
ASN_MODULE_HEADER+=asn_application.h
ASN_MODULE_HEADER+=asn_system.h
ASN_MODULE_HEADER+=asn_codecs.h
ASN_MODULE_HEADER+=asn_internal.h
ASN_MODULE_HEADER+=OCTET_STRING.h
ASN_MODULE_SOURCE+=OCTET_STRING.c
ASN_MODULE_HEADER+=BIT_STRING.h
ASN_MODULE_SOURCE+=BIT_STRING.c
ASN_MODULE_SOURCE+=asn_codecs_prim.c
ASN_MODULE_HEADER+=asn_codecs_prim.h
ASN_MODULE_HEADER+=ber_tlv_length.h
ASN_MODULE_SOURCE+=ber_tlv_length.c
ASN_MODULE_HEADER+=ber_tlv_tag.h
ASN_MODULE_SOURCE+=ber_tlv_tag.c
ASN_MODULE_HEADER+=ber_decoder.h
ASN_MODULE_SOURCE+=ber_decoder.c
ASN_MODULE_HEADER+=der_encoder.h
ASN_MODULE_SOURCE+=der_encoder.c
ASN_MODULE_HEADER+=constr_TYPE.h
ASN_MODULE_SOURCE+=constr_TYPE.c
ASN_MODULE_HEADER+=constraints.h
ASN_MODULE_SOURCE+=constraints.c
ASN_MODULE_HEADER+=xer_support.h
ASN_MODULE_SOURCE+=xer_support.c
ASN_MODULE_HEADER+=xer_decoder.h
ASN_MODULE_SOURCE+=xer_decoder.c
ASN_MODULE_HEADER+=xer_encoder.h
ASN_MODULE_SOURCE+=xer_encoder.c
ASN_MODULE_HEADER+=per_support.h
ASN_MODULE_SOURCE+=per_support.c
ASN_MODULE_HEADER+=per_decoder.h
ASN_MODULE_SOURCE+=per_decoder.c
ASN_MODULE_HEADER+=per_encoder.h
ASN_MODULE_SOURCE+=per_encoder.c
ASN_MODULE_HEADER+=per_opentype.h
ASN_MODULE_SOURCE+=per_opentype.c

=== src/asn-supl/Makefile ===
TOP = ../..
SUBDIRS = 

include $(TOP)/config.mk

ASN1_SOURCE = ../supl-common.asn ../supl-end.asn ../supl-pos.asn \
  ../supl-response.asn ../supl-start.asn ../supl-ulp.asn \
  ../supl-init.asn ../supl-posinit.asn

ASN_MODULE_SOURCE =	\
	Version.c	\
	SessionID.c	\
	SetSessionID.c	\
	SETId.c	\
	SlpSessionID.c	\
	IPAddress.c	\
	SLPAddress.c	\
	FQDN.c	\
	Ver.c	\
	LocationId.c	\
	Status.c	\
	CellInfo.c	\
	Position.c	\
	PositionEstimate.c	\
	AltitudeInfo.c	\
	CdmaCellInformation.c	\
	GsmCellInformation.c	\
	WcdmaCellInformation.c	\
	FrequencyInfo.c	\
	FrequencyInfoFDD.c	\
	FrequencyInfoTDD.c	\
	UARFCN.c	\
	NMR.c	\
	NMRelement.c	\
	MeasuredResultsList.c	\
	MeasuredResults.c	\
	CellMeasuredResultsList.c	\
	UTRA-CarrierRSSI.c	\
	CellMeasuredResults.c	\
	CellParametersID.c	\
	TGSN.c	\
	PrimaryCCPCH-RSCP.c	\
	TimeslotISCP.c	\
	TimeslotISCP-List.c	\
	PrimaryCPICH-Info.c	\
	CPICH-Ec-N0.c	\
	CPICH-RSCP.c	\
	Pathloss.c	\
	QoP.c	\
	Velocity.c	\
	Horvel.c	\
	Horandvervel.c	\
	Horveluncert.c	\
	Horandveruncert.c	\
	StatusCode.c	\
	PosMethod.c	\
	SUPLEND.c	\
	SUPLINIT.c	\
	Notification.c	\
	NotificationType.c	\
	EncodingType.c	\
	FormatIndicator.c	\
	SLPMode.c	\
	MAC.c	\
	KeyIdentity.c	\
	SUPLPOS.c	\
	PosPayLoad.c	\
	SUPLPOSINIT.c	\
	RequestedAssistData.c	\
	XNavigationModel.c	\
	SatelliteInfo.c	\
	SatelliteInfoElement.c	\
	SUPLRESPONSE.c	\
	SETAuthKey.c	\
	KeyIdentity4.c	\
	SUPLSTART.c	\
	SETCapabilities.c	\
	PosTechnology.c	\
	PrefMethod.c	\
	PosProtocol.c	\
	ULP-PDU.c	\
	UlpMessage.c	\
	DUMMY.c	

ASN_MODULE_HEADER=	\
	Version.h	\
	SessionID.h	\
	SetSessionID.h	\
	SETId.h	\
	SlpSessionID.h	\
	IPAddress.h	\
	SLPAddress.h	\
	FQDN.h	\
	Ver.h	\
	LocationId.h	\
	Status.h	\
	CellInfo.h	\
	Position.h	\
	PositionEstimate.h	\
	AltitudeInfo.h	\
	CdmaCellInformation.h	\
	GsmCellInformation.h	\
	WcdmaCellInformation.h	\
	FrequencyInfo.h	\
	FrequencyInfoFDD.h	\
	FrequencyInfoTDD.h	\
	UARFCN.h	\
	NMR.h	\
	NMRelement.h	\
	MeasuredResultsList.h	\
	MeasuredResults.h	\
	CellMeasuredResultsList.h	\
	UTRA-CarrierRSSI.h	\
	CellMeasuredResults.h	\
	CellParametersID.h	\
	TGSN.h	\
	PrimaryCCPCH-RSCP.h	\
	TimeslotISCP.h	\
	TimeslotISCP-List.h	\
	PrimaryCPICH-Info.h	\
	CPICH-Ec-N0.h	\
	CPICH-RSCP.h	\
	Pathloss.h	\
	QoP.h	\
	Velocity.h	\
	Horvel.h	\
	Horandvervel.h	\
	Horveluncert.h	\
	Horandveruncert.h	\
	StatusCode.h	\
	PosMethod.h	\
	SUPLEND.h	\
	SUPLINIT.h	\
	Notification.h	\
	NotificationType.h	\
	EncodingType.h	\
	FormatIndicator.h	\
	SLPMode.h	\
	MAC.h	\
	KeyIdentity.h	\
	SUPLPOS.h	\
	PosPayLoad.h	\
	SUPLPOSINIT.h	\
	RequestedAssistData.h	\
	XNavigationModel.h	\
	SatelliteInfo.h	\
	SatelliteInfoElement.h	\
	SUPLRESPONSE.h	\
	SETAuthKey.h	\
	KeyIdentity4.h	\
	SUPLSTART.h	\
	SETCapabilities.h	\
	PosTechnology.h	\
	PrefMethod.h	\
	PosProtocol.h	\
	ULP-PDU.h	\
	UlpMessage.h	\
	DUMMY.h

ASN_MODULE_HEADER+=BOOLEAN.h
ASN_MODULE_SOURCE+=BOOLEAN.c
ASN_MODULE_HEADER+=ENUMERATED.h
ASN_MODULE_SOURCE+=ENUMERATED.c
ASN_MODULE_HEADER+=INTEGER.h
ASN_MODULE_HEADER+=NativeEnumerated.h
ASN_MODULE_HEADER+=GeneralizedTime.h
ASN_MODULE_SOURCE+=GeneralizedTime.c
ASN_MODULE_HEADER+=IA5String.h
ASN_MODULE_SOURCE+=IA5String.c
ASN_MODULE_SOURCE+=INTEGER.c
ASN_MODULE_SOURCE+=NativeEnumerated.c
ASN_MODULE_HEADER+=NativeInteger.h
ASN_MODULE_SOURCE+=NativeInteger.c
ASN_MODULE_HEADER+=UTCTime.h
ASN_MODULE_SOURCE+=UTCTime.c
ASN_MODULE_HEADER+=VisibleString.h
ASN_MODULE_SOURCE+=VisibleString.c
ASN_MODULE_HEADER+=asn_SEQUENCE_OF.h
ASN_MODULE_SOURCE+=asn_SEQUENCE_OF.c
ASN_MODULE_HEADER+=asn_SET_OF.h
ASN_MODULE_SOURCE+=asn_SET_OF.c
ASN_MODULE_HEADER+=constr_CHOICE.h
ASN_MODULE_SOURCE+=constr_CHOICE.c
ASN_MODULE_HEADER+=constr_SEQUENCE.h
ASN_MODULE_SOURCE+=constr_SEQUENCE.c
ASN_MODULE_HEADER+=constr_SEQUENCE_OF.h
ASN_MODULE_SOURCE+=constr_SEQUENCE_OF.c
ASN_MODULE_HEADER+=constr_SET_OF.h
ASN_MODULE_SOURCE+=constr_SET_OF.c
ASN_MODULE_HEADER+=asn_application.h
ASN_MODULE_HEADER+=asn_system.h
ASN_MODULE_HEADER+=asn_codecs.h
ASN_MODULE_HEADER+=asn_internal.h
ASN_MODULE_HEADER+=OCTET_STRING.h
ASN_MODULE_SOURCE+=OCTET_STRING.c
ASN_MODULE_HEADER+=BIT_STRING.h
ASN_MODULE_SOURCE+=BIT_STRING.c
ASN_MODULE_SOURCE+=asn_codecs_prim.c
ASN_MODULE_HEADER+=asn_codecs_prim.h
ASN_MODULE_HEADER+=ber_tlv_length.h
ASN_MODULE_SOURCE+=ber_tlv_length.c
ASN_MODULE_HEADER+=ber_tlv_tag.h
ASN_MODULE_SOURCE+=ber_tlv_tag.c
ASN_MODULE_HEADER+=ber_decoder.h
ASN_MODULE_SOURCE+=ber_decoder.c
ASN_MODULE_HEADER+=der_encoder.h
ASN_MODULE_SOURCE+=der_encoder.c
ASN_MODULE_HEADER+=constr_TYPE.h
ASN_MODULE_SOURCE+=constr_TYPE.c
ASN_MODULE_HEADER+=constraints.h
ASN_MODULE_SOURCE+=constraints.c
ASN_MODULE_HEADER+=xer_support.h
ASN_MODULE_SOURCE+=xer_support.c
ASN_MODULE_HEADER+=xer_decoder.h
ASN_MODULE_SOURCE+=xer_decoder.c
ASN_MODULE_HEADER+=xer_encoder.h
ASN_MODULE_SOURCE+=xer_encoder.c
ASN_MODULE_HEADER+=per_support.h
ASN_MODULE_SOURCE+=per_support.c
ASN_MODULE_HEADER+=per_decoder.h
ASN_MODULE_SOURCE+=per_decoder.c
ASN_MODULE_HEADER+=per_encoder.h
ASN_MODULE_SOURCE+=per_encoder.c
ASN_MODULE_HEADER+=per_opentype.h
ASN_MODULE_SOURCE+=per_opentype.c

BUILT_SOURCES = asn1.stamp
CLEANFILES = asn1.stamp

EXTRA_DIST = asn1c-files.tgz

ASN_MODULE_OBJS = $(ASN_MODULE_SOURCE:.c=.o)

DIST = Makefile asn1c-files.tgz

ifeq ($(strip $(CONF_PRECOMPILED_ASN)),yes)
ASN1 = asn1-precompiled.stamp
else
ASN1 = asn1.stamp
endif

all: $(ASN1)
	$(MAKE) libs

libs: CFLAGS += $(CONF_ASN_CFLAGS) -I. -fPIC

libs: libasnsupl.a libasnsupl.so

libasnsupl.a: $(ASN_MODULE_OBJS)
	ar rc $@ $(ASN_MODULE_OBJS)

libasnsupl.so: libasnsupl.so.1.0
	ln -sf libasnsupl.so.1 libasnsupl.so

libasnsupl.so.1.0: $(ASN_MODULE_OBJS)
	$(CC) -shared -Wl,-soname,libasnsupl.so.1 -o $@ $^
	ln -sf libasnsupl.so.1.0 libasnsupl.so.1

asn1.stamp: $(ASN1_SOURCE)
	asn1c $(CONF_ASN1C_SKELETONS) -gen-PER $(ASN1_SOURCE)
	touch asn1.stamp

asn1-precompiled.stamp:
	tar xzf asn1c-files.tgz
	touch asn1-precompiled.stamp

asn1c-files.tgz:
	tar zhcf asn1c-files.tgz $(ASN_MODULE_SOURCE) $(ASN_MODULE_HEADER)

distfiles:
	echo $(addprefix src/asn-supl/,$(DIST)) >> $(TOP)/distfiles

clean:
	/bin/rm -f *.o lib*.so* lib*.a *.c *.h *~ *.stamp Makefile.am.sample

.PHONY: clean distfiles asn1c-files.tgz

=== debian/changelog ===
supl (1.0.6-maemo1) unstable; urgency=low

  * Fix package dependencies
  * Fix maemo packaging

 -- Benjamin Cohen <bencoh@notk.org>  Thu, 23 Apr 2015 13:20:00 -0200

supl (1.0.6) unstable; urgency=low

  * Fixed BUG#3427808 again...

 -- Tatu Mannisto <tatu -at- tajuma -dot- com>  Mon, 27 Oct 2011 21:55:00 -0400

supl (1.0.5) unstable; urgency=low

  * Fixed BUG#3427808, symlinks is asn1-tarballs

 -- Tatu Mannisto <tatu -at- tajuma -dot- com>  Mon, 22 Oct 2011 22:45:00 -0400

supl (1.0.4) unstable; urgency=low

  * Fixed failing to decode too long messages
  * Added proper scaling factors for --format human

 -- Tatu Mannisto <tatu -at- tajuma -dot- com>  Mon, 22 Oct 2011 22:45:00 -0400

supl (1.0.3) unstable; urgency=low

  * Update precompiled asn1c files using asn1c version 0.9.23
  * Fix README to reflect these changes, fix few other bugs there too
  * Add asn1 and supl debugging configuration options to configure

 -- Tatu Mannisto <tatu -at- tajuma -dot- com>  Mon, 20 Oct 2011 22:15:00 -0400

supl (1.0.2) unstable; urgency=low

  * Bug#3425862 Fixes command line option parsing bug

 -- Tatu Mannisto <tatu -at- tajuma -dot- com>  Mon, 19 Oct 2011 18:02:00 -0400

supl (1.0.1) unstable; urgency=low

  * Fixes reading ephemeris for all satellites
  * Add -a flag to request almanac data from the server

 -- Tatu Mannisto <tatu -at- tajuma -dot- com>  Mon, 17 Oct 2011 22:41:00 -0400

supl (1.0) unstable; urgency=low

  * Fixes multiple build issues, warnings, etc.
  * Uses now plain Makefiles instead of autotools.
  * Got rid of cert utilities and combined them into supl-cert.
  * Manual pages added.

 -- Tatu Mannisto <tatu -at- tajuma -dot- com>  Mon, 28 Mar 2011 16:54:00 -0400

supl (0.9.2) unstable; urgency=low

  * Uses slpSessionID if given by the supl server.
  * Uses wcdma and gsm cell info.
  * Fixed few bugs all round.

 -- Tatu Mannisto <tatu -at- tajuma -dot- com>  Wed, 2 Mar 2011 16:02:00 -0400

supl (0.9.1) unstable; urgency=low

  * Added almanac and acquisition assistance support.
  * Fixed few build errors.

 -- Tatu Mannisto <tatu -at- tajuma -dot- com>  Mon, 1 Oct 2007 22:02:00 -0400

supl (0.9) unstable; urgency=low

  * First semi-public release.

 -- Tatu Mannisto <tatu -at- tajuma -dot- com>  Sun, 30 Sep 2007 14:15:00 -0400

=== debian/control ===
Source: supl
Section: utils
Priority: optional
Maintainer: Tatu Mannisto <tatu -at- tajuma -dot- com>
Build-Depends: debhelper (>= 4.0.0), libssl-dev
Standards-Version: 3.6.0

Package: supl
Architecture: any
Priority: optional
Section: utils
Depends: libsupl, ${shlibs:Depends}
Suggests: 
Description: AGPS SUPL (Secure User Plane) client
 Provided the client side (non-network initiated case)
 for OMA SUPL/RRLP user applications, supl-client and
 supl-proxy.

Package: libsupl
Architecture: any
Priority: optional
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: 
Description: AGPS SUPL (Secure User Plane) library
 Provides the client side (non-network initiated case)
 SUPL library.

Package: libsupl-dev
Section: libdevel
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: 
Description: AGPS SUPL (Secure User Plane) library
 Provides the development files for SUPL protocol.

Package: libsupl-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libsupl (= ${binary:Version})
Description: Debug symbols for the SUPL library
 This package provides the debugging info for SUPL
 libraries and user utilities.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g -O0
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	CFLAGS="$(CFLAGS)" ./configure --prefix=/usr --precompiled-asn1
	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package
	install -d debian/tmp
	$(MAKE) install DEB_PREFIX="$(CURDIR)/debian/tmp"
	for pkg in supl libsupl libsupl-dev ; do \
	  for file in `cat debian/$$pkg.files` ; do \
            cp -a debian/tmp/$$file debian/$$pkg/$$file ; \
          done ; \
        done

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installchangelogs 
#	dh_installdocs
#	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
	dh_strip --dbg-package=libsupl-dbg
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
